Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.layout
Class LayoutType

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.layout.LayoutType

public final class LayoutType
extends java.lang.Object

A String table for the Layout types.

Field Summary
`static java.lang.String` `COMPOSITE` the composite layout type
`static java.lang.String` `DEFAULT` the default layout type
`static java.lang.String` `RADIAL` the radial layout type

Constructor Summary
`LayoutType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

  the default layout type

  See Also:
    Constant Field Values

### RADIAL

    public static final java.lang.String RADIAL

  the radial layout type

  See Also:
    Constant Field Values

### COMPOSITE

    public static final java.lang.String COMPOSITE

  the composite layout type

  See Also:
    Constant Field Values

Constructor Detail

### LayoutType

    public LayoutType()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.